<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MovePrevDuplicate Method (DatabaseEntry, DatabaseEntry)
Cursor Class See Also Send Feedback

If the previous key/data pair of the database is a duplicate data record for the current key/data pair, the cursor is moved to the previous key/data pair of the database, and that pair is stored in Current. MovePrevDuplicate will return false if the previous key/data pair of the database is not a duplicate data record for the current key/data pair. If either the key or the data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, MovePrevDuplicate is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool MovePrevDuplicate(
    	DatabaseEntry key,
    	DatabaseEntry data
    )

Visual Basic (Declaration)

    Public Function MovePrevDuplicate ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry _
    ) As Boolean

Visual C++

    public:
    bool MovePrevDuplicate(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved key

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
MovePrevDuplicate Overload
BerkeleyDB Namespace